<div class="main-content">

	<div class="mb-16">
		<h3 fxFlex=""> Список Организаций</h3>
		<!--<a mat-flat-button
			color="accent"
			[routerLink]="['add']"> Добавить Организацию </a>-->
	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card" *ngIf="orgs" [@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<table mat-table [dataSource]="orgs" matSort
			(matSortChange)="sortEvent.next($event)"
			[matSortActive]="params.sortby"
			[matSortDirection]="params.order">

			<!-- short_title -->
			<ng-container matColumnDef="title">
				<th mat-header-cell  *matHeaderCellDef mat-sort-header="short_title"> Наименование </th>
				<td mat-cell *matCellDef="let row"> {{ row.short_title }}</td>
			</ng-container>
			<ng-container matColumnDef="searchTitle">
				<th mat-header-cell *matHeaderCellDef>
					<div>
						<mat-form-field appearance="standard" fxFlex="">
							<input matInput
								[(ngModel)] = "params.search_short_title"
								(input)="search.next($event.target.value)"
								placeholder="Поиск по наименованию" >
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<!-- kpp -->
			<ng-container matColumnDef="kpp">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="kpp"> КПП </th>
				<td mat-cell *matCellDef="let row"> {{ row.kpp }}</td>
			</ng-container>
			<ng-container matColumnDef="searchKpp">
				<th mat-header-cell *matHeaderCellDef>
					<mat-form-field appearance="standard">
						<input matInput placeholder="Поиск по КПП"
							[(ngModel)] = "params.search_kpp"
							(input)="search.next($event.target.value)">
					</mat-form-field>
				</th>
			</ng-container>

			<!-- ogrn -->
			<ng-container matColumnDef="ogrn">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="ogrn"> ОГРН </th>
				<td mat-cell *matCellDef="let row"> {{ row.ogrn }}</td>
			</ng-container>
			<ng-container matColumnDef="searchOgrn">
				<th mat-header-cell *matHeaderCellDef>
					<mat-form-field appearance="standard">
						<input matInput placeholder="Поиск по ОГРН"
							[(ngModel)] = "params.search_ogrn"
							(input)="search.next($event.target.value)"
						>
					</mat-form-field>
				</th>
			</ng-container>


			<!-- registration_date -->
			<ng-container matColumnDef="created">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="created"> Дата регистрации </th>
				<td mat-cell *matCellDef="let row"> {{ row.created | date: 'dd.MM.yyyy HH:mm'}}</td>
			</ng-container>
			<ng-container matColumnDef="searchСreated">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<!-- actual -->
			<ng-container matColumnDef="actual">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="actual"> Активность </th>
				<td mat-cell *matCellDef="let row">
					{{ row.actual | yesNo }}
					<!--<mat-slide-toggle
						[(ngModel)]="row.actual"
						(click)="$event.stopPropagation()"
						(change)="toggleUser($event, row);"
						color="primary">
					</mat-slide-toggle>-->
				</td>
			</ng-container>
			<ng-container matColumnDef="searchActions">
				<th mat-header-cell *matHeaderCellDef>
					<button mat-icon-button
						(click)="clearFilter($event)"
						[disabled]="! (this.params.search_short_title
						|| this.params.search_kpp
						|| this.params.search_ogrn)"
						matTooltip="Очистить фильтр"
						color="primary">
						<mat-icon svgIcon="cancel"></mat-icon>
					</button>

				</th>
			</ng-container>

			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef [colSpan]="displayedColumns.length" ><i>Организации не найдены</i></td>
			</ng-container>

			<!-- contents row -->
			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-header-row *matHeaderRowDef="searchColumns" class="searchColumns" ></tr>
			<tr mat-row *matRowDef="let row; columns: displayedColumns;"> </tr>
			<tr mat-footer-row *matFooterRowDef="['noRecord']" [hidden]="orgs.length > 0"></tr>

		</table>

		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>

	</div>



</div>


